@echo off
chrset
set NETHACKOPTIONS=name:Shaana-V
if not exist shaana.sav goto restore
goto run
:restore
if not exist sav\shaana.sav goto run
Echo Restoring Character File...
copy sav\shaana.sav > nul
:run
nethack %1 %2 %3 %4 %5 %6 %7 %8 %9
pause
mode co80
if exist shaana.sav goto backup
goto end
:backup
Echo Backing Up Character File
copy shaana.sav sav > nul
:end
set NETHACKOPTIONS=
